Bug 476599

Summary: Review Request: python-transaction - Transaction Management for Python
Product: [Fedora] Fedora Reporter: Conrad Meyer <konrad>
Component: Package ReviewAssignee: David Cantrell <dcantrell>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: dcantrell, fedora-package-review, notting
Target Milestone: ---Flags: jkeating: fedora‑review+
kevin: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-12-17 17:50:35 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 476600    

Description Conrad Meyer 2008-12-15 20:23:07 EST
Spec URL: http://konradm.fedorapeople.org/fedora/SPECS/python-transaction.spec
SRPM URL: http://konradm.fedorapeople.org/fedora/SRPMS/python-transaction-1.0-0.1.a1.fc9.src.rpm
Description:
This package contains a generic transaction implementation for Python.
It is mainly used by the ZODB, though.
Comment 1 Jesse Keating 2008-12-16 02:44:55 EST
This doesn't build in rawhide currently:

DEBUG: This script requires setuptools version 0.6c7 to run (even to display
DEBUG: help).  I will attempt to download it for you (from
DEBUG: http://pypi.python.org/packages/2.6/s/setuptools/), but
DEBUG: you may need to enable firewall access for this script first.
DEBUG: I will start the download in 15 seconds.
DEBUG: (Note: if this machine does not have network access, please obtain the file
DEBUG:    http://pypi.python.org/packages/2.6/s/setuptools/setuptools-0.6c7-py2.6.egg
DEBUG: and place it in this directory before rerunning this script.)


It then tries to download the .egg file which really isn't going to work in the builders.

Licenses:
tests/test_savepoint.py is under ZPL 2.0 instead of 2.1 like the rest of the files.  Might be an oversight by the upstream, should contact them, or otherwise make note in the spec.  I'm not sure what the differences are between 2.0 and 2.1 and what happens when you combine both in a work.

Docs:
the %doc call should include LICENSE.txt since it is shipped with upstream. http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

Otherwise, looks good.  Just a few things to fix there.
Comment 2 Jesse Keating 2008-12-16 02:57:34 EST
I take that back about building.

It builds if you add python-setuptools to your BuildRequires.

rpmlint is clean.
Comment 3 Conrad Meyer 2008-12-16 03:16:41 EST
Oh, oops. I think python-setuptools should be part of the spec template (/etc/rpmdevtools/spectemplate-python.spec) since it's used for all distutils/setuputils python scripts in Fedora. It would certainly help me remember it.

I'm pretty sure tests/test_savepoint.py is supposed to be ZPLv2.1 like everything else, but I will fire off an email to upstream.

New URLs:
http://konradm.fedorapeople.org/fedora/SPECS/python-transaction.spec
http://konradm.fedorapeople.org/fedora/SRPMS/python-transaction-1.0-0.2.a1.fc9.src.rpm
Comment 4 Jesse Keating 2008-12-16 12:29:59 EST
python-setuptools isn't needed for distutils.  Distutils is part of the python package itself: $ rpm -qf /usr/lib64/python2.5/distutils/core.pyc
python-2.5.2-1.fc10.x86_64

Might be worth porting stuff still using setuputils over to distutils.  http://docs.python.org/distutils/index.html#distutils-index

It seems to actually be in the documentation at python.org unlike setuptools/setuputils

Everything looks good now, approving.
Comment 5 Conrad Meyer 2008-12-16 17:51:55 EST
Thanks for the review!

New Package CVS Request
=======================
Package Name: python-transaction
Short Description: Transaction Management for Python
Owners: konradm
Branches: F-10 F-9
InitialCC:
Comment 6 Kevin Fenzi 2008-12-17 16:56:16 EST
cvs done.
Comment 7 Kevin Fenzi 2008-12-17 16:59:59 EST
Except not. This package is already in fedora. Owned by lmacken. 
See bug 468222
Comment 8 Conrad Meyer 2008-12-17 17:50:35 EST
Yeah, oops. Closing.

*** This bug has been marked as a duplicate of bug 468222 ***